let powerButtonOff = document.getElementById('power-button-off');
let powerButtonOn = document.getElementById('power-button-on');

powerButtonOff.onclick = async () => {
    await browser.storage.local.set({ showSolved: false });
    powerButtonOff.style.display = 'none';
    powerButtonOn.style.display = 'inline';
    browser.tabs.reload();
}
powerButtonOn.onclick = async () => {
    await browser.storage.local.set({ showSolved: true });
    powerButtonOn.style.display = 'none';
    powerButtonOff.style.display = 'inline';
    browser.tabs.reload();
}

browser.storage.local.get('showSolved').then((res) => {
    showSolved = !(!res.showSolved);
    if (showSolved) {
        powerButtonOn.style.display = 'none';
    } else {
        powerButtonOff.style.display = 'none';
    }
});